CI: don't perform coverage on travis.

parent 90e82485
......@@ -5,7 +5,7 @@ matrix:
- os: linux
sudo: required
services: docker
env: myconfig=maxset with_coverage=true python_version=2
env: myconfig=maxset python_version=2
- os: linux
sudo: required
services: docker
......
......@@ -2,11 +2,6 @@
ENV_FILE=$(mktemp esXXXXXXX.env)
ci_env=""
if [[ ! -z ${with_coverage+x} ]]; then
ci_env=`bash <(curl -s https://codecov.io/env)`
fi
cat > $ENV_FILE <<EOF
insource=$insource
cmake_params=$cmake_params
......@@ -24,4 +19,4 @@ if [ -z "$image" ]; then
fi
image=espressomd/espresso-$image:latest
docker run $ci_env -u espresso --env-file $ENV_FILE -v ${PWD}:/travis -it $image /bin/bash -c "cp -r /travis .; cd travis && maintainer/CI/build_cmake.sh" || exit 1
docker run -u espresso --env-file $ENV_FILE -v ${PWD}:/travis -it $image /bin/bash -c "cp -r /travis .; cd travis && maintainer/CI/build_cmake.sh" || exit 1
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment